Crash Dump 2.11 with user defined expressions

2015-10-12 08:46 AM - Alexandre Neto

Status: Closed

Priority: High

Assignee:

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21621

Description

Hello all,

I'm having Crash Dumps in current master, on windows 7 64 bits.

After a few tests and some .qgis2 cleaning I realized it has something to do with expression functions created by user.

The attached file causes qgis-master to crash dump when you try to open any expression dialog.

It works well in QGIS 2.8.3 and 2.10.

I was not able to try in Linux

To reproduce copy the attached file to .qgi2/python/expressions folder, open some vector layer and press in select by expression.

Associated revisions

Revision cc9c7897 - 2015-10-18 12:27 AM - Jürgen Fischer

avoid on duplicate user functions (fixes #13579)

Revision e7a981cc - 2015-11-26 08:32 PM - Jürgen Fischer

avoid on duplicate user functions (fixes #13579)

(backports from commit cc9c789)

History

#1 - 2015-10-12 01:59 PM - Nyall Dawson

- Status changed from Open to Feedback

I believe this is because that file implements an "area" function, which as of 2.12 is built in and in the reserved name list.

Can you confirm that removing this function fixes the crash?

#2 - 2015-10-14 02:46 AM - Alexandre Neto
- Status changed from Feedback to Closed

Nyall, you were right. Renaming the "area" function worked.

#3 - 2015-10-14 11:00 AM - Salvatore Larosa

- Priority changed from Severe/Regression to High

- Status changed from Closed to Reopened

I think this still must be considered as a bug. 

We anyway should avoid crashes anywhere in the application.

I have been thinking for some solution to fix this and I issued a PR [0].

[0] - https://github.com/qgis/QGIS/pull/2371

#4 - 2015-10-17 03:31 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"cc9c7897602887633eb59486a1aa65df0c566982".

Files

alex_functions.py 756 Bytes 2015-10-12 Alexandre Neto
https://github.com/qgis/QGIS/pull/2371

